#!/bin/sh
set -eu

cp -a phpunit.xml.dist tests "$AUTOPKGTEST_TMP"
cd "$AUTOPKGTEST_TMP"

mkdir --parents ./vendor
phpabtpl --require MatthiasMullie/PathConverter > ./autoload.tests.php.tpl 2>&1
phpab --output ./vendor/autoload.php --template ./autoload.tests.php.tpl ./tests
phpunit --no-coverage  --do-not-cache-result
